--
-- rozsiewacz nawozu Kos
-- author: Burner
--

Kos = {};

function Kos.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Sprayer, specializations);
end;

function Kos:load(xmlFile)
	self.talerze = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.talerze#index"));
	self.talerz = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.talerz#index"));
end;

function Kos:delete()
end;

function Kos:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Kos:keyEvent(unicode, sym, modifier, isDown)
end;

function Kos:update(dt)
end;

function Kos:updateTick(dt)
	if self:getIsActive() then
		if self.isTurnedOn then
			rotate(self.talerze, 0, 1.6, 0);
			rotate(self.talerz, 0, 1.6, 0);
		end;
	end;
end;

function Kos:draw()
end;

function Kos:onDetach()
end;

function Kos:onLeave()
end;

function Kos:onDeactivate()
end;